
Foreman - Refactor #35469

Remove reference to puppet 5

08/31/2022 07:41 PM - Matt Darcy

Status: New   

Priority: Low   

Assignee: Matt Darcy   

Category: Templates   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases: 3.3.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Puppet 5 is EOL.

Remove references to Puppet 5 from Foreman provisioning platform

Evaluate references to puppet 5 across the foreman product and remove any support for Puppet 5

Related issues:

Related to Foreman - Refactor #31593: remove reference to legacy puppet brand... Resolved

History

#1 - 08/31/2022 07:42 PM - Matt Darcy

Current belief is that the only work will be template related. This needs to be confirmed.

#2 - 08/31/2022 07:43 PM - Matt Darcy

- Fixed in Releases 3.4.0 added

- Fixed in Releases deleted (3.3.1)

- Found in Releases 3.3.1 added

#3 - 09/01/2022 11:13 AM - Matt Darcy

- Tracker changed from Bug to Refactor

#4 - 09/01/2022 11:15 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9396 added

#5 - 09/07/2022 02:15 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases deleted (3.4.0)

Please don't set Fixed in Releases. That implies it's been resolved in 3.4.0.

#6 - 09/09/2022 09:22 AM - Matt Darcy

- Pull request deleted (https://github.com/theforeman/foreman/pull/9396)

removed incorrect pull request

#7 - 09/12/2022 08:54 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9420 added

#8 - 10/14/2022 12:01 PM - Ewoud Kohl van Wijngaarden

- Related to Refactor #31593: remove reference to legacy puppet brand identifier puppetlabs in provision templates added
#9 - 10/14/2022 12:02 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/9420)
